stages:          # List of stages for jobs, and their order of execution

  - build

  - test

 

build-job:       # This job runs in the build stage, which runs first.

  stage: build

  script:

    - echo "Compiling the code..."

    - echo "Compile complete."

 

sonarcloud:

    stage: test

    image:

        name: sonarsource/sonar-scanner-cli:latest

        entrypoint: [""]

    script:

        - sonar-scanner -Dsonar.projectKey=$SONAR_PROJECT_KEY -Dsonar.organization=$SONAR_ORGANIZATION_KEY -Dsonar.sources=. -Dsonar.host.url=https://sonarcloud.io -Dsonar.login=$SONARCLOUD_TOKEN

    only:

        - mergue_request

        - master